#!/usr/bin/env python

# Copyright 2005 PyTom <pytom@bishoujo.us>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation files
# (the "Software"), to deal in the Software without restriction,
# including without limitation the rights to use, copy, modify, merge,
# publish, distribute, sublicense, and/or sell copies of the Software,
# and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

import alice

import sys
import optparse
import random
import gtk

import Image
import PngImagePlugin

if __name__ == "__main__":

    alice.dolls.load_dolls()

    op = optparse.OptionParser()

    op.add_option('--doll', dest='doll', default=None,
                  help="The default doll to create a new project with.")

    options, args = op.parse_args()

    s = None

    if len(args) >= 1:
        try:
            s = alice.state.load(args[0])
        except:
            type, e, tb = sys.exc_info()
            alice.interface.messagebox(None, str(e), True) 
            sys.exit(0)


    if not s:
        doll = options.doll

        if not doll:
            doll = random.choice(alice.dolls.dolls.keys())

        s = alice.state.State(doll)

    alice.mainwindow.MainWindow(s)
    gtk.main()
